<?php

namespace app\admin\controller\order;

use app\admin\service\order\AppointmentService;
use support\Request;
use support\Response;

class AppointmentController
{
    /**
     * @Desc 列表
     * @Author Gorden
     * @Date 2024/3/29 10:44
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {

        return AppointmentService::select($request);
    }

    public function confirm($id): Response
    {
        return AppointmentService::confirm($id);
    }

    public function add(Request $request)
    {
        return AppointmentService::add($request);
    }

    public function update(Request $request)
    {
        return AppointmentService::update($request);
    }

    public function getTimes(Request $request)
    {
        return AppointmentService::getTimes($request);
    }
}